-- Strings for MultiQuestTracker

local MULTI_QUEST_TRACKER_STRINGS = {}

MULTI_QUEST_TRACKER_STRINGS["en"] = 
{
	-- English Language Data

	AddOnTitle = "Multi-Quest Tracker RE",

	Title = "Multi-Quest Tracker RE Settings",

	TrackQuest = "Track Quest",
	UntrackQuest = "Untrack Quest",

	TrackCurrentMap = "Track Current Map Quests",
	TrackCurrentRegion = "Track Current Map Region Quests",

	TrackCurrentMapUIShortCuts = "Track Current Map(Region) Quests",

	QuestCountText = "<<1>> |cffffff(<<2>>/<<3>>)|r",

	Untrackable = GetString( SI_WORLD_MAP_NO_QUESTS ),

	MaxTracked = "Cannot track quests any more.",

	Option_EnableThisSetting = 
	{ 
		title = "",
		help = "Enable this setting if clicked." 
	},
	Option_DisableThisSetting = 
	{ 
		title = "",
		help = "Disable this setting if clicked." 
	},

	QuestTracker = "Quest Tracker",
	Option_MaxTracked = 
	{ 
		title = "Quest Tracking Limit",
		help = "Change the maximum number of tracking quests." 
	},

	bgHeader = "Background",
	Option_BGAlpha_Focused = 
	{ 
		title = "Background Alpha",
		help = "Change the transparency of the background." 
	},
	Option_BGAlpha_UnFocused = 
	{ 
		title = "Unfocused Background Alpha",
		help = "Change the transparency of the unfocused background. This value is calculate based on the above setting value." 
	},

	Option_BGType = 
	{ 
		title = "Background Style",
		help = "Change the style of the background." 
	},

	HeaderHeader = "Quest Names",
	Option_AssistIconType =
	{
		title = "Focused Quest Icon Style",
		help = "Change the style of the Focused Quest Icon" 
	},
	Option_HeaderCustom =
	{
		title = "Use Custom Settings",
		help = "Use custom settings for the Quest Names." 
	},
	Option_HeaderFont = 
	{
		title = "Name Font",
		help = "Set the font for the quest names." 
	},
	Option_HeaderStyle =
	{
		title = "Name Font Style",
		help = "Set the font style the quest names." 
	},
	Option_HeaderSize =
	{
		title = "Name Font Size",
		help = "Change the font size for quest names."
	},
	Option_HeaderColor =
	{
		title = "Name Font Color",
		help = "Change the color of quest names." 
	},

	Option_SecondaryHeaderShow =
	{
		title = "Show Quest Level",
		help = "Display the quest level.",
	},
	Option_SecondaryHeaderSize =
	{
		title = "Quest Level Text Size",
		help = "Change the text size for quest level.",
	},
	Option_SecondaryHeaderColor =
	{
		title = "Quest Level Text Color",
		help = "Change the text color of quest level.", 
	},

	QTextHeader = "Objective Text",
	Option_QTextCustom =
	{
		title = "Use Custom Settings",
		help = "Use custom settings for the Objective Text." 
	},
	Option_QTextFont = 
	{
		title = "Objective Font",
		help = "Set the font for the quest text."
	},
	Option_QTextStyle =
	{
		title = "Objective Font Style",
		help = "Set the font style the quest text."
	},
	Option_QTextSize =
	{
		title = "Objective Font Size",
		help = "Change the font size for quest text."
	},
	Option_QTextColor =
	{
		title = "Objective Font Color",
		help = "Change the color of quest text." 
	},
	Option_QHintTextColor =
	{
		title = "Hint Text Color",
		help = "Change the color of quest hint." 
	},

	AccountWideSettingsHeader = "Account-Wide Settings",
	Option_SharedAppearances =
	{
		title = "Shared Appearance Settings",
		help = "All characters in the account uses the current appearance settings. (ON to Account-Wide Settings)" 
	},
	Option_SharedHudPosition =
	{
		title = "Shared Quest Tracker Position",
		help = "All characters in the account uses the current Quest Tracker placement setting. (ON to Account-Wide Setting)" 
	},

	ResetKeybindingsHeader = "Keybindings",
	Button_ResetKeybindings =
	{
		title = "Reset Keybindings",
		help = "Reset the keybindings related to Multi-Quest Trakcer.",
		warn = "This button resets the part of the keybindings.",
		message = "Keybindings related to Multi-Quest Trakcer is reset. do you reinitialize?",
	},

	Option_MoveText = "Drag tracker with mouse to move [ <<1>> ] key.",

	OriginalVersionInfo = "Original Multi-Quest Trakcer was created by Zerorez."

	--------------------------------------
}

MULTI_QUEST_TRACKER_STRINGS["de"] =
{
	-- German Language Data

	--------------------------------------
}

MULTI_QUEST_TRACKER_STRINGS["fr"] =
{
	-- French Language Data

	--------------------------------------
}

-- この関数は編集しないこと
-- Do not modify this function
-- Haben Sie diese Funktion nicht ändern
-- Ne pas modifier cette fonction
function MultiQuestTracker_GetStrings()

	local langspec = GetCVar( "language.2" )
	local strings = MULTI_QUEST_TRACKER_STRINGS[langspec]

	if strings == nil
	then
		strings = MULTI_QUEST_TRACKER_STRINGS["en"]
	elseif langspec ~= "en"
	then
		-- subclass of MULTI_QUEST_TRACKER_STRINGS["en"]
		setmetatable( strings, { __index = MULTI_QUEST_TRACKER_STRINGS["en"] } )
	end

	return strings

end
